namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "rototiller")]
public class Rototiller : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var pokemon = move.Battle.Sides.SelectMany(x => x.Pokemon).WhereNotNull()
            .Where(x => x.Types.Any(y => y.Name == "grass"));
        EventBatchId batchId = new();
        foreach (var pkmn in pokemon)
        {
            pkmn.ChangeStatBoost(Statistic.Attack, 1, pkmn == move.User, false, batchId);
            pkmn.ChangeStatBoost(Statistic.SpecialAttack, 1, pkmn == move.User, false, batchId);
        }
    }
}